/* -*- Mode: C; indent-tabs-mode: t; tab-width: 2; c-basic-offset: 2 -*- */
/* GtkTrue - The truth is out there!
 * Copyright  1999 Joachim Nilsson <joachim.nilsson@mds.mdh.se>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

static int simulation_mode = 0;
static int no_absolute_truth = 1;

static char *optional_truth;

void take_over (void)
{
	if (no_absolute_truth || simulation_mode)
		exit(0);
	else
		execve(optional_truth, NULL, NULL);

	/* It should be quite impossible to get this far, but still if we do
	 * then this program fails because /bin/true cannot be found.
	 */
	fprintf (stderr, _("The truth is out there...\n"));
	exit(EXIT_FAILURE);
}


void whatisthematrix (char *truth)
{
	/*	fprintf (stdout, "Whatisthematrix.com?\n"); */
	no_absolute_truth = 0;
	optional_truth = truth;
}


void simulate_truth (void)
{
	simulation_mode= 1;
}

void
on_ok_button_clicked                   (GtkButton       *button,
                                        gpointer         user_data)
{
	if (simulation_mode)
		gtk_main_quit();
	else      
		take_over();
}



